org.apache.activemq.artemis.jms.client

## Class ActiveMQXAConnectionFactory

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory
  - - org.apache.activemq.artemis.jms.client.ActiveMQXAConnectionFactory

- All Implemented Interfaces:
    Externalizable, Serializable, AutoCloseable, javax.jms.ConnectionFactory, javax.jms.QueueConnectionFactory, javax.jms.TopicConnectionFactory, javax.jms.XAConnectionFactory, javax.jms.XAQueueConnectionFactory, javax.jms.XATopicConnectionFactory, Referenceable, ConnectionFactoryOptions

      public class ActiveMQXAConnectionFactory
      extends ActiveMQConnectionFactory
      implements javax.jms.XATopicConnectionFactory, javax.jms.XAQueueConnectionFactory

  A class that represents a XAConnectionFactory.

  We consider the XAConnectionFactory to be the most complete possible option. It can be casted to any other connection factory since it is fully functional

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQXAConnectionFactory()`
    `ActiveMQXAConnectionFactory(boolean ha, DiscoveryGroupConfiguration groupConfiguration)`
    `ActiveMQXAConnectionFactory(boolean ha, TransportConfiguration... initialConnectors)`
    `ActiveMQXAConnectionFactory(ServerLocator serverLocator)`
    `ActiveMQXAConnectionFactory(String uri)`
    `ActiveMQXAConnectionFactory(String url, String user, String password)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFactoryType()`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQConnectionFactory

      `close, createConnection, createConnection, createConnectionInternal, createContext, createContext, createContext, createContext, createQueueConnection, createQueueConnection, createTopicConnection, createTopicConnection, createXAConnection, createXAConnection, createXAContext, createXAContext, createXAQueueConnection, createXAQueueConnection, createXATopicConnection, createXATopicConnection, finalize, getCallFailoverTimeout, getCallTimeout, getClientFailureCheckPeriod, getClientID, getConfirmationWindowSize, getConnectionLoadBalancingPolicyClassName, getConnectionTTL, getConsumerMaxRate, getConsumerWindowSize, getDeserializationBlackList, getDeserializationWhiteList, getDiscoveryGroupConfiguration, getDupsOKBatchSize, getGroupID, getIncomingInterceptorList, getInitialConnectAttempts, getInitialMessagePacketSize, getMaxRetryInterval, getMinLargeMessageSize, getOutgoingInterceptorList, getPassword, getProducerMaxRate, getProducerWindowSize, getProtocolManagerFactoryStr, getReconnectAttempts, getReference, getRetryInterval, getRetryIntervalMultiplier, getScheduledThreadPoolMaxSize, getServerLocator, getStaticConnectors, getThreadPoolMaxSize, getTransactionBatchSize, getUser, isAutoGroup, isBlockOnAcknowledge, isBlockOnDurableSend, isBlockOnNonDurableSend, isCacheLargeMessagesClient, isCompressLargeMessage, isFailoverOnInitialConnection, isHA, isPreAcknowledge, isUseGlobalPools, readExternal, setAutoGroup, setBlockOnAcknowledge, setBlockOnDurableSend, setBlockOnNonDurableSend, setCacheLargeMessagesClient, setCallFailoverTimeout, setCallTimeout, setClientFailureCheckPeriod, setClientID, setCompressLargeMessage, setConfirmationWindowSize, setConnectionLoadBalancingPolicyClassName, setConnectionTTL, setConsumerMaxRate, setConsumerWindowSize, setDeserializationBlackList, setDeserializationWhiteList, setDupsOKBatchSize, setFailoverOnInitialConnection, setGroupID, setIncomingInterceptorList, setInitialConnectAttempts, setInitialMessagePacketSize, setMaxRetryInterval, setMinLargeMessageSize, setOutgoingInterceptorList, setPassword, setPreAcknowledge, setProducerMaxRate, setProducerWindowSize, setProtocolManagerFactoryStr, setReconnectAttempts, setRetryInterval, setRetryIntervalMultiplier, setScheduledThreadPoolMaxSize, setThreadPoolMaxSize, setTransactionBatchSize, setUseGlobalPools, setUser, toString, toURI, writeExternal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.XATopicConnectionFactory

      `createXATopicConnection, createXATopicConnection`

    - ### Methods inherited from interface javax.jms.TopicConnectionFactory

      `createTopicConnection, createTopicConnection`

    - ### Methods inherited from interface javax.jms.XAQueueConnectionFactory

      `createXAQueueConnection, createXAQueueConnection`

    - ### Methods inherited from interface javax.jms.XAConnectionFactory

      `createXAConnection, createXAConnection, createXAContext, createXAContext`

    - ### Methods inherited from interface javax.jms.QueueConnectionFactory

      `createQueueConnection, createQueueConnection`

    - ### Methods inherited from interface javax.jms.ConnectionFactory

      `createConnection, createConnection, createContext, createContext, createContext, createContext`

- - ### Constructor Detail

    - #### ActiveMQXAConnectionFactory

          public ActiveMQXAConnectionFactory()

    - #### ActiveMQXAConnectionFactory

          public ActiveMQXAConnectionFactory(String uri)

    - #### ActiveMQXAConnectionFactory

          public ActiveMQXAConnectionFactory(String url,
                                             String user,
                                             String password)

    - #### ActiveMQXAConnectionFactory

          public ActiveMQXAConnectionFactory(ServerLocator serverLocator)

    - #### ActiveMQXAConnectionFactory

          public ActiveMQXAConnectionFactory(boolean ha,
                                             DiscoveryGroupConfiguration groupConfiguration)

    - #### ActiveMQXAConnectionFactory

          public ActiveMQXAConnectionFactory(boolean ha,
                                             TransportConfiguration... initialConnectors)

  - ### Method Detail

    - #### getFactoryType

          public int getFactoryType()

      Overrides:
        `getFactoryType` in class `ActiveMQConnectionFactory`

Copyright © 2017. All rights reserved.